Subject: Re: bug#35381: 26.2; nxml-mode doesn't fontify attributes in single quotes

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 May 2019 09:06:33 -0400

> I think that plus the patches for #32003 and #32897 should cover the
> nxml fixes I'm planning for emacs-26.  I'll wait for another few days
> and then push.

LGTM.

> https://debbugs.gnu.org/cgi/bugreport.cgi?filename=0001-Fix-nxml-get-inside-Bug-32003.patch;bug=32003;msg=8;att=1

You might like to mention in nxml-get-inside what "normal strings" are
used for (AFAIK that's used exclusively for attributes).

> https://debbugs.gnu.org/cgi/bugreport.cgi?filename=0001-Disable-extra-display-of-10-in-nxml-mode-Bug-32897.patch;att=1;msg=8;bug=32897

-  (when nxml-char-ref-extra-display
+  (when (and ;; Displaying literal newline is unhelpful.
+             (not eql n ?\n)
+             nxml-char-ref-extra-display)

There's a bunch of parens missing.

        Stefan